
/*=============================================
  EDITAR USUARIO
=============================================*/
$(document).on("click", ".btnEditarProveedor", function(){
	var idProveedor = $(this).attr("idProveedor");
	var datos = new FormData();
	datos.append("idProveedor", idProveedor);
  // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
	$.ajax({
		url:"ajax/proveedor.ajax.php",
		method: "POST",
		data: datos,
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
		success: function(respuesta){

        for (var i = 0; i < respuesta.length; i++) {
  				$("#EditarProveedor_").val(respuesta[i]["prov_nombre"]);
  				$("#EditarDireccion").val(respuesta[i]["prov_direccion"]);
  				$("#EditarCP").val(respuesta[i]["prov_cp"]); // Como el Rol esta en un Select, se usa el elemento html para que se muestre
  	      $("#EditarCiudad").val(respuesta[i]["prov_ciudad"]);// Aparte se le envia también el campo del rol al atributp Val para que se mantenga en el ID
  				$("#EditarEstado").val(respuesta[i]["prov_estado"]);
  				$("#EditarTelefono").val(respuesta[i]["prov_telefono"]);
  	    	$("#EditarRFC").val(respuesta[i]["prov_rfc"]);
  				$("#EditarRazonSocial_").val(respuesta[i]["prov_razonSocial"]);
  				$("#editarProveedor").val(idProveedor);
  		}
		}
	});
})

/*=============================================
ELIMINAR USUARIO
=============================================*/
$(document).on("click", ".btnEliminarProveedor", function(){
  var idProveedor = $(this).attr("idProveedor");
  swal({
    title: '¿Está seguro de borrar el Proveedor?',
    text: "¡Usted puede cancelar la orden!",
    type: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    cancelButtonText: 'Cancelar',
    confirmButtonText: 'Si, borrar Proveedor!'
  }).then(function(result){
    if(result.value){
      window.location = "index.php?ruta=proveedores&idProveedor="+idProveedor;
    }
  })
})
